Subject: Re: net: hix5hd2_gmac uninitialized net_device

From: Dongpo Li <[email-masked]>
Date: Mon, 13 Feb 2017 09:25:38 +0800

On 2017/2/11 8:51, Marty Plummer wrote:
> On Fri, Feb 10, 2017 at 06:21:35PM +0800, Dongpo Li wrote:
>> I think the error "No irq resource" happened for some other reason, has no relation with
>> the info "(unnamed net_device) (uninitialized):".
>> You can add more debug info to find bug.
> Do you have any particular suggestions as to what to check out, or is
> this just a general 'debug more' instruction?
I haven't encountered such a problem. So it needs you to debug what happens.

>> Yes, I agree with you that the ndev has not been initialized completely,
>> because the function "register_netdev" has not been called yet.
>> It's better to use the "dev_err" to replace the "netdev_err".
>>
> Ah, I see. So, prior to line 1266's call to register_netdev, it will
> always be uninitialized and unnamed, regardless of what is or isn't
> right elsewhere. Good to know. So, I could replace these netdev_err
> with dev_err for now, up until that point, so I can get a bit more info,
> yes?
Yes.

    Regards,
    Dongpo

.